
QGIS Application - Bug report #16599

Buffer function crashing QGIS on specific data set

2017-05-22 08:34 PM - timothy brink

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.14.11 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 24501

Description

I'm trying to run the buffer tool on a line and it keeps crashing Qgis. The line is created by merging two sets of gps point data and running

points to lines with image_date as the order. I have no problem with it working on other data sets but for some reason there are two data

sets that cause the buffer to crash the program.

History

#1 - 2017-05-23 10:14 AM - Giovanni Manghi

- Status changed from Open to Feedback

There are quite a lot buffer tools in the Processing toolbox, which one you used? or you used a 3rd party plugin (among them also there are a lot of

buffering tools).

In my case with the native QGIS tool, no crash, using 2.18.8 under Ubuntu, but is weirdly slow for such input.

Have you tried also a clean config, by wiping the .qgis2 folder (make a backup first)?

#2 - 2017-05-23 06:56 PM - timothy brink

I'm using the native tool 2.14.11 and running a buffer of 7 meters.  Anything I should worry about before wiping the qgis2 folder?  I'd rather not go that route

if possible.

#3 - 2017-05-23 07:35 PM - Giovanni Manghi

timothy brink wrote:

I'm using the native tool 2.14.11 and running a buffer of 7 meters.  Anything I should worry about before wiping the qgis2 folder?  I'd rather not go

that route if possible.

make a backup/copy of it first, then you can restore.

#4 - 2017-05-23 08:46 PM - timothy brink

It was easier to go in and edit the original gps file.  I deleted the points where the gps sat still and drifted.  It looks like there is a limitation on how many

times the line can cross over itself.
#5 - 2017-05-23 10:53 PM - Giovanni Manghi

- Category changed from Vectors to Processing/QGIS

- Status changed from Feedback to Open

#6 - 2017-06-02 09:20 AM - Alexander Bruy

- Resolution set to worksforme

- Status changed from Open to Closed

Works fine in 2.18.9, tested Fixed and Variable distance buffer tool from Processing.

Files

line.prj 456 Bytes 2017-05-22 timothy brink

line.dbf 394 Bytes 2017-05-22 timothy brink

line.qpj 491 Bytes 2017-05-22 timothy brink

line.shx 188 Bytes 2017-05-22 timothy brink

line.shp 3.03 MB 2017-05-22 timothy brink
